<?php

namespace App\Policies;

use App\Models\MikrotikSecret;
use App\Models\User;

class MikrotikSecretPolicy
{
    public function before(User $user, $ability)
    {
        if ($user->hasRole('Super Admin')) {
            return true;
        }
    }

    public function viewAny(User $user): bool
    {
        return $user->can('mikrotik_secret.view');
    }

    public function view(User $user, MikrotikSecret $mikrotikSecret): bool
    {
        return $user->can('mikrotik_secret.view');
    }

    public function create(User $user): bool
    {
        return $user->can('mikrotik_secret.create');
    }

    public function update(User $user, MikrotikSecret $mikrotikSecret): bool
    {
        return $user->can('mikrotik_secret.update');
    }

    public function delete(User $user, MikrotikSecret $mikrotikSecret): bool
    {
        return $user->can('mikrotik_secret.delete');
    }

    public function restore(User $user, MikrotikSecret $mikrotikSecret): bool
    {
        return false;
    }

    public function forceDelete(User $user, MikrotikSecret $mikrotikSecret): bool
    {
        return false;
    }
}
